steps:
  - label: ":k8s:"
    command: .buildkite/verify-yaml.sh
  - label: ":k8s:"
    command: .buildkite/verify-label.sh
  - label: ":k8s:"
    command: .buildkite/verify-rbac-labels.sh

  - wait

  - label: ":pulumi: :k8s:"
    concurrency: 5
    concurrency_group: deploy-sourcegraph/integration
    command: .buildkite/integration-test.sh

  - wait
  
  - label: ":gcompute: :floppy_disk: 🧹"
    concurrency: 1
    concurrency_group: deploy-sourcegraph/clean-unused-disks
    command: .buildkite/cleanup-unused-disks.sh
